Bug 1201343 - module file is broken
Summary: module file is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mpich
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 14:17 UTC by Dave Love
Modified: 2015-12-06 19:20 UTC (History)
3 users (show)

Fixed In Version: mpich-3.1.4-2.fc23 mpich-3.1.4-7.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-06 19:20:19 UTC


Attachments (Terms of Use)

Description Dave Love 2015-03-12 14:17:48 UTC
Description of problem:

The module file in rawhide now contains, inter alia, the following which
are surely wrong and break builds, e.g.
https://kojipkgs.fedoraproject.org//work/tasks/77/9210077/build.log

setenv        MPI_PYTHON_SITEARCH       /mpi
setenv        MPI_COMPILER  mpi-x86_64
setenv        MPI_SUFFIX    _mpi
setenv        MPI_HOME      /usr/lib64/mpi
prepend-path  PYTHONPATH    /mpi

Version-Release number of selected component (if applicable): 3.1.4-1.fc23

Comment 1 Dave Love 2015-03-12 16:25:29 UTC
I realize the module is consistent with the package contents which are wrong, presumably from a configuration error.

Comment 2 Orion Poplawski 2015-03-13 20:05:59 UTC
There's a couple issues here:

- Upstream has changed the library name from libmpich to libmpi, hence the changes to MPI_BIN, MPI_COMPILER, MPI_SUFFIX, MPI_HOME and the PYTHON endings.

- We're not bringing in python into the buildroot so the PTYHON_PATH is wrong.

Comment 3 Orion Poplawski 2015-03-13 22:41:39 UTC
Should be fixed now

Comment 4 Dave Love 2015-03-16 21:23:12 UTC
MPI_FORTRAN_MOD_DIR and MANPATH are also wrong according to the packaging rules,
which I should have noticed before.

Comment 5 Jan Kurik 2015-07-15 14:24:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Fedora Update System 2015-11-16 18:41:05 UTC
mpich-3.1.4-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-be322c3755

Comment 7 Fedora Update System 2015-11-18 16:52:45 UTC
mpich-3.1.4-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mpich'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-be322c3755

Comment 8 Fedora Update System 2015-12-06 19:20:11 UTC
mpich-3.1.4-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.